# SPARCclassic - Solaris 2.1
# Tested at another site, not by the author; errors in transcription are 
# mine.

RM = rm -f

CC = gcc
CDEBUGFLAGS =
CCOPTIONS = -g

INCLUDES = -I. -I/usr/local/X11/include
CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(INCLUDES)

UILSRC = /usr/local/X11/include/uil
UIL = /usr/local/X11/uil

LIBS = -L/usr/local/X11/lib -lMrm -lXm -lXt -lX11 -lsocket -lnsl -lgen

.SUFFIXES: .o .uid .c .uil
.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $*.c

.uil.uid:
	$(RM) $@
	$(UIL) -o $*.uid $*.uil -I$(UILSRC)

all:	make_mslide make_mslide1 make_mslide1t make_mtest1 

clean:	clean_mslide clean_mslide1 clean_mslide1t clean_mtest1

make_mslide: mslide mslide.uid

mslide: mslide.o
	$(RM) $@
	$(CC) -o $@ mslide.o $(LIBS)

clean_mslide:
	$(RM) mslide
	$(RM) mslide.uid
	$(RM) mslide.o

make_mslide1: mslide1 mslide1.uid

mslide1: mslide1.o
	$(RM) $@
	$(CC) -o $@ mslide1.o $(LIBS)

clean_mslide1:
	$(RM) mslide1
	$(RM) mslide1.uid
	$(RM) mslide1.o

make_mslide1t: mslide1t

mslide1t: mslide1t.o
	$(RM) $@
	$(CC) -o $@ mslide1t.o $(LIBS)

clean_mslide1t:
	$(RM) mslide1t
	$(RM) mslide1t.o

make_mtest1: mtest1 mtest1.uid

mtest1: mtest1.o
	$(RM) $@
	$(CC) -o $@ mtest1.o $(LIBS)

clean_mtest1:
	$(RM) mtest1
	$(RM) mtest1.uid
	$(RM) mtest1.o

